'use client';
import ItemsConversation from "./ItemsConversation";
import useConversation from "../../hooks/useConversation";

const ConversationList = () => {
    const { changeChatClick, id_chatbot, listConversation, selectedConversation } = useConversation();

    return (
        <>
            {listConversation.map((chatlist, i) => {
                return (
                    <ItemsConversation key={i} chatlist={chatlist} changeChatClick={changeChatClick} id_chatbot={id_chatbot} selectedConversation={selectedConversation} />
                )
            })}
        </>
    )
}

export default ConversationList